Available buyer market: Korean, Taiwan
Path
GET
/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/onlineInquiries
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/onlineInquiries?inquiryStartAt=2019-06-25&inquiryEndAt=2019-06-26&vendorId=A00012345&answeredType=NOANSWER&pageSize=10&pageNum=1
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String | Seller ID |
||||
Query String Parameter
| Name | Required | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| vendorId | O | String | Seller ID |
||||||||||||
| answeredType | O | String | Answer status
|
||||||||||||
| inquiryStartAt | O | String |
Query start date; Format: yyyy-MM-dd
You can query all consultations during the query period (inquiryEndAt - inquiryStartAt < = 7days). |
||||||||||||
| inquiryEndAt | O | String | Query end date; Format: yyyy-MM-dd |
||||||||||||
| pageNum | Number |
Current page
Default: 1
|
|||||||||||||
| pageSize | Number |
Page size
Default: 10; Maximum: 50
|
|||||||||||||
Request Example
Response Message
| Name | Type | Description | |||
|---|---|---|---|---|---|
| code | Number | Server response code |
|||
| message | String | Server response message |
|||
| data | Object | Query result |
|||
| content | Array | Result |
|||
| inquiryId | Number |
Question Id
Question ID
|
|||
| productId | Number | Exposed product ID |
|||
| sellerProductId | Number | Listed product ID |
|||
| sellerItemId | Number | sellerItemId |
|||
| vendorItemId | Number | Option ID |
|||
| content | String | Content of the question |
|||
| inquiryAt | String | Query time (Requires ISO-8601 Compliance) YYYY-MM-DDThh:mm:ss.ssssss±hh:mm |
|||
| orderIds | List |
Order number
[16000009476673]
|
|||
| commentDtoList | Array | Answer to the question |
|||
| inquiryCommentId | Number | Reply ID |
|||
| inquiryId | Number | Question ID |
|||
| content | String | Content of the answer to the question |
|||
| inquiryCommentAt | String | Answered time (Requires ISO-8601 Compliance) YYYY-MM-DDThh:mm:ss.ssssss±hh:mm |
|||
| pagination | Object | Pagination information |
|||
| currentPage | Number |
Current page
Default: 1
|
|||
| totalPages | Number | Total number of page |
|||
| totalElements | Number | Total number of inquiry |
|||
| countPerPage | Number | Total number of inquiry per page |
|||
Response Example
{
"code": 200,
"message": "OK",
"data": {
"content": [
{
"inquiryId": 39352323,
"productId": 231526161,
"sellerProductId": 786583589,
"sellerItemId": 1891732488,
"vendorItemId": 4855652221,
"content": "포장 3천원 입금하였습니다.",
"inquiryAt": "2025-01-15T14:17:13.973885-08:00",
"orderIds": [
19000041361951
],
"commentDtoList": [
{
"inquiryCommentId": 36881065,
"inquiryId": 39352323,
"content": "고객님 안녕하세요. OOO 입니다. 입금확인되었고 포장하여 금일 출고하겠습니다. 감사합니다.",
"inquiryCommentAt": "2025-01-15T14:17:13.973885-08:00"
}
]
},
{
"inquiryId": 39352273,
"productId": 212844716,
"sellerProductId": 718482283,
"sellerItemId": 1699726710,
"vendorItemId": 4675663991,
"content": "스판이 강한가요?",
"inquiryAt": "2025-01-15T14:17:13.973885-08:00",
"orderIds": [],
"commentDtoList": [
{
"inquiryCommentId": 36885408,
"inquiryId": 39352273,
"content": "고객님 안녕하세요. OOO 입니다. 문의주신 제품 스판이 좋은 제품이긴하오나 개개인마다 생각이 다르기 때문에 개인차 있습니다 . 구매시 참고 부탁드립니다 . 감사합니다.",
"inquiryCommentAt": "2025-01-15T14:17:13.973885-08:00"
}
]
},
{
"inquiryId": 39352362,
"productId": 130048576,
"sellerProductId": 375487954,
"sellerItemId": 910365921,
"vendorItemId": 3929087307,
"content": "언제도착입니까? 21일도착예정인데 준비중이고\r\n문의해도 답변없고 취소도 안되고\r\n환불해줘요",
"inquiryAt": "2025-01-15T14:17:13.973885-08:00",
"orderIds": [
5000041411986
],
"commentDtoList": [
{
"inquiryCommentId": 36885330,
"inquiryId": 39352362,
"content": "고객님 안녕하세요. OOO 입니다. 업체에서 확인되는 고객님 주문날짜는 6월24일이며 금일 출고요청된것으로 확인됩니다. 송장은 출고일 저녁 자동 등록되며 혹 구입일이 6월24일 이전일 경우 구매하신 쿠팡고객센터 1577-7011로 문의 부탁드립니다. 감사합니다. ",
"inquiryCommentAt": "2025-01-15T14:17:13.973885-08:00"
}
]
}
],
"pagination": {
"currentPage": 6,
"totalPages": 102,
"totalElements": 304,
"countPerPage": 3
}
}
}
Error Spec
| HTTP Status Code (Error Type) | Error Message | Solution |
|---|---|---|
| 400 (Check Request Parameter) | time interval needs to be less than or equal to 7 days, pattern should be yyyy-MM-dd | Make sure that the query period is 7 days or less. |
| 400 (Check Time Settings) | Read timed out | Reset the query period (1 day) and page size (10) and make a request again. In case of timeout due to heavy list data, increase the X-EXTENDED-TIMEOUT settings before making the request again. *Relevant FAQ |
| 400 (Check Request Parameter) | Invalid vendor ID | Make sure that the seller ID (vendorId) is correct. |
URL API Name
GET_CUSTOMER_SERVICE_REQUEST